# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceReplica Class Reference

`#include <StepGeom_SurfaceReplica.hxx>`

Inheritance diagram for StepGeom_SurfaceReplica:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_SurfaceReplica ()
| Returns a SurfaceReplica .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aParentSurface, const Handle(StepGeom_CartesianTransformationOperator3d)&aTransformation)
Standard_EXPORT void | SetParentSurface (const Handle(StepGeom_Surface)&aParentSurface)
Standard_EXPORT Handle_StepGeom_Surface | ParentSurface () const
Standard_EXPORT void | SetTransformation (const Handle(StepGeom_CartesianTransformationOperator3d)&aTransformation)
Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator3d | Transformation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Surface | parentSurface
Handle_StepGeom_CartesianTransformationOperator3d | transformation

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceReplica::StepGeom_SurfaceReplica | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_SurfaceReplica::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface.

virtual Standard_EXPORT void StepGeom_SurfaceReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aParentSurface,
|  | const Handle(StepGeom_CartesianTransformationOperator3d)& | aTransformation
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_SurfaceReplica::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Surface StepGeom_SurfaceReplica::ParentSurface | ( |  | ) | const

Standard_EXPORT void StepGeom_SurfaceReplica::SetParentSurface | ( | const Handle(StepGeom_Surface)& | aParentSurface | ) |

Standard_EXPORT void StepGeom_SurfaceReplica::SetTransformation | ( | const Handle(StepGeom_CartesianTransformationOperator3d)& | aTransformation | ) |

Standard_EXPORT Handle_StepGeom_CartesianTransformationOperator3d StepGeom_SurfaceReplica::Transformation | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Surface StepGeom_SurfaceReplica::parentSurface `[private]`

Handle_StepGeom_CartesianTransformationOperator3d StepGeom_SurfaceReplica::transformation `[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfaceReplica.hxx